Obsolete an entity
put
https://{FusionAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/v1/obsolete/{resourceName}
Request
Path Parameters
-
resourceName(required): string
entity for which obsolete is initiated
Supported Media Types
- application/json
Root Schema : ObsoleteSchema
Type:
arrayTitle:
ObsoleteSchemaMinimum Number of Items:
1Maximum Number of Items:
Show Source
50-
Array of:
object ObsoleteSchemaRef
Title:
ObsoleteSchemaRef
Nested Schema : ObsoleteSchemaRef
Type:
objectTitle:
Show Source
ObsoleteSchemaRef-
id: string
Maximum Length:
30Unique identifier of the entity -
name: string
Name of the required entity
-
version: string
entity version
Response
200 Response
OK
400 Response
Your request couldn't be processed because it contains missing or invalid information, such as a validation error on an input field, a missing required value, and so forth.
Root Schema : Error
Type:
objectTitle:
Show Source
Error-
@schemaLocation: string
it provides a link to the schema describing a REST resource.
-
@type: string
The class type of a REST resource.
-
code(required): string
Application related code (as defined in the API or from a common list)
-
message: string
Text that provide more details and corrective actions related to the error. This can be shown to a client user.
-
reason(required): string
Text that explains the reason for error. This can be shown to a client user.
-
referenceError: string
url pointing to documentation describing the error
-
status: string
http error code extension like 400-2
401 Response
Your request isn't authorized. The authentication credentials included with this request are missing or invalid.
Root Schema : Error
Type:
objectTitle:
Show Source
Error-
@schemaLocation: string
it provides a link to the schema describing a REST resource.
-
@type: string
The class type of a REST resource.
-
code(required): string
Application related code (as defined in the API or from a common list)
-
message: string
Text that provide more details and corrective actions related to the error. This can be shown to a client user.
-
reason(required): string
Text that explains the reason for error. This can be shown to a client user.
-
referenceError: string
url pointing to documentation describing the error
-
status: string
http error code extension like 400-2
404 Response
Your request includes a resource URI that doesn't exist.
Root Schema : Error
Type:
objectTitle:
Show Source
Error-
@schemaLocation: string
it provides a link to the schema describing a REST resource.
-
@type: string
The class type of a REST resource.
-
code(required): string
Application related code (as defined in the API or from a common list)
-
message: string
Text that provide more details and corrective actions related to the error. This can be shown to a client user.
-
reason(required): string
Text that explains the reason for error. This can be shown to a client user.
-
referenceError: string
url pointing to documentation describing the error
-
status: string
http error code extension like 400-2
405 Response
HTTP action specified in the request (DELETE, GET, POST, PUT) isn't supported for this request URI.
Root Schema : Error
Type:
objectTitle:
Show Source
Error-
@schemaLocation: string
it provides a link to the schema describing a REST resource.
-
@type: string
The class type of a REST resource.
-
code(required): string
Application related code (as defined in the API or from a common list)
-
message: string
Text that provide more details and corrective actions related to the error. This can be shown to a client user.
-
reason(required): string
Text that explains the reason for error. This can be shown to a client user.
-
referenceError: string
url pointing to documentation describing the error
-
status: string
http error code extension like 400-2
500 Response
The server encountered something unexpected that prevented it from completing the request.
Root Schema : Error
Type:
objectTitle:
Show Source
Error-
@schemaLocation: string
it provides a link to the schema describing a REST resource.
-
@type: string
The class type of a REST resource.
-
code(required): string
Application related code (as defined in the API or from a common list)
-
message: string
Text that provide more details and corrective actions related to the error. This can be shown to a client user.
-
reason(required): string
Text that explains the reason for error. This can be shown to a client user.
-
referenceError: string
url pointing to documentation describing the error
-
status: string
http error code extension like 400-2
Examples
The following example shows how to obsolete an entity by submitting a put request on the REST resource using cURL.
cURL Command
curl -u username:password -X PUT
https://{FusionAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/v1/obsolete/{resourceName}
-H 'Content-Type: application/json' -D @obsolete.json | json_pp
Example of Request Body
The following shows an example of the request body in JSON format.
[
{
"id": "SUPREMO_OFFER",
"name": "Supremo Offer",
"version": "1.0"
}
]
Example of Response Body
The following shows an example of the response body in JSON format.
[
{
"id": "SUPREMO_OFFER",
"status": "SUCCESS"
}
]